# FILE: avfdiff.tcl
#
# This file must be evaluated by mmDispSh

package require Oc 1.1.1.0
package require Mmdispcmds 1.1.1.0
Oc_ForceNoTkDefaultMessage
catch {wm withdraw .}

Oc_Main SetAppName avfdiff
Oc_Main SetVersion 1.2.0.1

Oc_CommandLine Option console {} {}
Oc_CommandLine Option [Oc_CommandLine Switch] {
	{file0 {} {Input vector field file to subtract from other files)}}
	{file1 {} {Input vector field file from which to subtract file0)}}
	{{filen list} {} {Optional list of additional files from which to subtract file0)}}
    } {
	global subfile filelist
	set subfile $file0
	set filelist [concat [list $file1] $filen]
} {End of options; next argument is file}
Oc_CommandLine Parse $argv

# Load subtractor
SelectActiveMesh 1
ChangeMesh $subfile 0 0 0 -1

SelectActiveMesh 0
foreach infile $filelist {
    set outfile "${infile}-diff"
    ChangeMesh $infile 0 0 0 -1
    if {[catch {DifferenceMesh 1} msg]} {
	puts "Skipping file $infile: $msg"
    } else {
	set fmt "binary8"
	# set fmt "text"
	if { [IsRegularMesh] } {
	    set struct "regular"
	} else {
	    set struct "irregular"
	}
	set title $outfile
	set descr "Difference file: [list $infile] - [list $subfile]"
	puts "Writing output file: $outfile"
	WriteMesh $outfile $fmt $struct $title $descr
    }
}

exit 0
