/* FILE: section.h                 -*-Mode: c++-*-
 *
 * Abstract section class, derived from OXS extension class.
 *
 */

#ifndef _OXS_SECTION
#define _OXS_SECTION

#include "ext.h"
#include "threevector.h"
#include "util.h"
/* End includes */

class Oxs_Section:public Oxs_Ext {
protected:
  Oxs_Section(const char* name,      // Child instance id
	     Oxs_Director* newdtr); // App director
  Oxs_Section(const char* name,
	     Oxs_Director* newdtr,
             Tcl_Interp* safe_interp, // Safe interpreter
	     const char* argstr);   // MIF block argument string
public:
  virtual ~Oxs_Section() {}
  virtual void GetExtents(Oxs_Box &mybox) const =0;
  virtual BOOL IsIn(const ThreeVector& point) const =0;
  /// Returns 1 if point is inside region, 0 otherwise.
};


#endif // _OXS_REGION
